package com.tiesheng.core.config.token;


import cn.hutool.core.map.MapUtil;
import com.tiesheng.core.config.token.bean.TokenBean;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Map;


/**
 * @author hao
 */
@Configuration
@ConfigurationProperties("tiesheng.token")
public class TokenValidConfig {

    private Map<String, TokenBean> ignores = MapUtil.newHashMap();


    /**
     * 验证token
     *
     * @param token
     * @return
     */
    public TokenBean getTokenBean(String token) {
        if (ignores == null) {
            return null;
        }
        return ignores.get(token);
    }

    ///////////////////////////////////////////////////////////////////////////
    // setter\getter
    ///////////////////////////////////////////////////////////////////////////

    public Map<String, TokenBean> getIgnores() {
        return ignores;
    }

    public void setIgnores(Map<String, TokenBean> ignores) {
        this.ignores = ignores;
    }
}
